org.apache.maven.toolchain

## Interface ToolchainManagerPrivate

- All Known Implementing Classes:
    DefaultToolchainManager

      public interface ToolchainManagerPrivate

  Component for use by the maven-toolchains-plugin only.
  Author:
    mkleint

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ROLE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ToolchainPrivate[]` | `getToolchainsForType(java.lang.String type)` Retrieves the toolchains of given type from the user settings.
    `void` | `storeToolchainToBuildContext(ToolchainPrivate toolchain, MavenSession context)` Stores the toolchain into build context.

- - ### Field Detail

    - #### ROLE

          static final java.lang.String ROLE

  - ### Method Detail

    - #### getToolchainsForType

          ToolchainPrivate[] getToolchainsForType(java.lang.String type)
                                                  throws MisconfiguredToolchainException

      Retrieves the toolchains of given type from the user settings.
      Throws:
        `MisconfiguredToolchainException`

    - #### storeToolchainToBuildContext

          void storeToolchainToBuildContext(ToolchainPrivate toolchain,
                                          MavenSession context)

      Stores the toolchain into build context.